[Distutils] why this version spec does not work?

Adam GROSZER agroszer at gmail.com
Mon Aug 23 18:46:14 CEST 2010


I have here this version spec in setup.py:
'zope.testing >=3.6.0,<3.10.0',

but zc.buildout does not get it right.
Source is here:
Output is here:

Why on earth does zc.buildout pick zope.testing = 3.10.0 with the
above spec??

Best regards,
 Adam GROSZER                          mailto:agroszer at gmail.com
Quote of the day:
There is no true and abiding morality that is not founded in religion. 
- Henry Ward Beecher 

More information about the Distutils-SIG mailing list